Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZWorkflowType Class Reference
Inheritance diagram for eZWorkflowType:

## Public Member Functions
| __construct ( $group, $type, $groupName, $name)
| eZWorkflowType ( $group, $type, $groupName, $name)
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr)
| setAttribute ( $attr, $value)
| setTriggerTypes ( $allowedTypes)
| eventDescription ()
| execute ( $process, $event)
| initializeEvent ( $event)
| validateHTTPInput ( $http, $base, $event, &$validation)
| fixupHTTPInput ( $http, $base, $event)
| fetchHTTPInput ( $http, $base, $event)
| setActivationDate ( $date)
| setInformation ( $inf)
| needCleanup ()
| cleanupAfterRemoving ( $attr=array())
| cleanup ( $process, $event)
| attributeDecoder ( $event, $attr)
| typeFunctionalAttributes ()
| customWorkflowEventHTTPAction ( $http, $action, $workflowEvent)
| workflowEventContent ( $event)
| storeEventData ( $event, $version)
| storeDefinedEventData ( $event)
| isAllowed ( $moduleName, $functionName, $connectType)

## Static Public Member Functions
static | statusName ( $status)
static | createType ( $typeString)
static | fetchRegisteredTypes ()
static | allowedTypes ()
static | loadAndRegisterAllTypes ()
static | registerType ( $group, $type, $class_name)
static | loadAndRegisterType ( $typeString)
static | statusNameMap ()

## Public Attributes
| $Attributes
const | STATUS_NONE = 0
const | STATUS_ACCEPTED = 1
const | STATUS_REJECTED = 2
const | STATUS_DEFERRED_TO_CRON = 3
const | STATUS_DEFERRED_TO_CRON_REPEAT = 4
const | STATUS_RUN_SUB_EVENT = 5
const | STATUS_WORKFLOW_CANCELLED = 6
const | STATUS_FETCH_TEMPLATE = 7
const | STATUS_FETCH_TEMPLATE_REPEAT = 8
const | STATUS_REDIRECT = 10
const | STATUS_WORKFLOW_DONE = 9
const | STATUS_REDIRECT_REPEAT = 11
const | STATUS_WORKFLOW_RESET = 12
| $Group
| $Type
| $TypeString
| $GroupName
| $Name
| $ActivationDate
| $Information
| $TriggerTypes = array( '*' => true )

## Detailed Description

! eZKernel The class eZWorkflowType does

Definition at line 17 of file ezworkflowtype.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZWorkflowType::__construct | ( |  | $group,
|  |  | $type,
|  |  | $groupName,
|  |  | $name
| ) |  |

Constructor

Parameters

  string | $group |
  string | $type |
  string | $groupName |
  string | $name |

Definition at line 42 of file ezworkflowtype.php.

References $ActivationDate, $Group, $GroupName, $Information, $Name, $Type, and $TypeString.

Referenced by eZWorkflowType().

## Member Function Documentation

## ◆ allowedTypes()

static eZWorkflowType::allowedTypes | ( |  | ) |
| static

Definition at line 141 of file ezworkflowtype.php.

Referenced by loadAndRegisterAllTypes().

## ◆ attribute()

eZWorkflowType::attribute | ( |  | $attr | ) |

Reimplemented in eZWaitUntilDateType, eZPaymentGatewayType, eZMultiplexerType, and eZApproveType.

Definition at line 237 of file ezworkflowtype.php.

References $TriggerTypes, eventDescription(), and eZDebug\writeError().

Referenced by eZApproveType\attribute(), eZMultiplexerType\attribute(), eZPaymentGatewayType\attribute(), and eZWaitUntilDateType\attribute().

## ◆ attributeDecoder()

eZWorkflowType::attributeDecoder | ( |  | $event,
|  |  | $attr
| ) |  |

Reimplemented in eZPaymentGatewayType, eZMultiplexerType, eZFinishUserRegisterType, and eZApproveType.

Definition at line 332 of file ezworkflowtype.php.

## ◆ attributes()

eZWorkflowType::attributes | ( |  | ) |

Reimplemented in eZWaitUntilDateType, eZPaymentGatewayType, eZMultiplexerType, eZFinishUserRegisterType, and eZApproveType.

Definition at line 225 of file ezworkflowtype.php.

Referenced by eZApproveType\attributes(), eZFinishUserRegisterType\attributes(), eZMultiplexerType\attributes(), eZPaymentGatewayType\attributes(), eZWaitUntilDateType\attributes(), and hasAttribute().

## ◆ cleanup()

eZWorkflowType::cleanup | ( |  | $process,
|  |  | $event
| ) |  |

Reimplemented in eZPaymentGatewayType.

Definition at line 328 of file ezworkflowtype.php.

## ◆ cleanupAfterRemoving()

eZWorkflowType::cleanupAfterRemoving | ( |  | $attr = `array()` | ) |

Reimplemented in eZApproveType.

Definition at line 324 of file ezworkflowtype.php.

## ◆ createType()

static eZWorkflowType::createType | ( |  | $typeString | ) |
| static

Definition at line 81 of file ezworkflowtype.php.

References loadAndRegisterType(), and eZDebug\writeError().

Referenced by eZWorkflowEvent\eventType(), and eZWorkflow\workflowType().

## ◆ customWorkflowEventHTTPAction()

eZWorkflowType::customWorkflowEventHTTPAction | ( |  | $http,
|  |  | $action,
|  |  | $workflowEvent
| ) |  |

Reimplemented in eZWaitUntilDateType, and eZApproveType.

Definition at line 342 of file ezworkflowtype.php.

## ◆ eventDescription()

eZWorkflowType::eventDescription | ( |  | ) |

Definition at line 281 of file ezworkflowtype.php.

Referenced by attribute().

## ◆ execute()

eZWorkflowType::execute | ( |  | $process,
|  |  | $event
| ) |  |

Reimplemented in eZFinishUserRegisterType, eZWaitUntilDateType, eZSimpleShippingType, eZPaymentGatewayType, eZMultiplexerType, and eZApproveType.

Definition at line 286 of file ezworkflowtype.php.

References STATUS_NONE.

## ◆ eZWorkflowType()

eZWorkflowType::eZWorkflowType | ( |  | $group,
|  |  | $type,
|  |  | $groupName,
|  |  | $name
| ) |  |

Deprecated:
  Use eZWorkflowType::__construct() instead

Parameters

  string | $group |
  string | $type |
  string | $groupName |
  string | $name |

Definition at line 68 of file ezworkflowtype.php.

References __construct().

## ◆ fetchHTTPInput()

eZWorkflowType::fetchHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $event
| ) |  |

Reimplemented in eZWaitUntilDateType, eZPaymentGatewayType, eZMultiplexerType, and eZApproveType.

Definition at line 305 of file ezworkflowtype.php.

## ◆ fetchRegisteredTypes()

static eZWorkflowType::fetchRegisteredTypes | ( |  | ) |
| static

Definition at line 115 of file ezworkflowtype.php.

References loadAndRegisterAllTypes(), and eZDebug\writeError().

Referenced by eZContentObject\purge().

## ◆ fixupHTTPInput()

eZWorkflowType::fixupHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $event
| ) |  |

Definition at line 300 of file ezworkflowtype.php.

## ◆ hasAttribute()

eZWorkflowType::hasAttribute | ( |  | $attr | ) |

Reimplemented in eZWaitUntilDateType, eZPaymentGatewayType, eZMultiplexerType, and eZApproveType.

Definition at line 232 of file ezworkflowtype.php.

References attributes().

## ◆ initializeEvent()

eZWorkflowType::initializeEvent | ( |  | $event | ) |

Reimplemented in eZPaymentGatewayType, eZMultiplexerType, and eZApproveType.

Definition at line 291 of file ezworkflowtype.php.

## ◆ isAllowed()

eZWorkflowType::isAllowed | ( |  | $moduleName,
|  |  | $functionName,
|  |  | $connectType
| ) |  |

Check if specified trigger is allowed

Parameters

  $moduleName | module name
  $functionName | function name
  $connectType | connection type

Returns
  true is allowed, false if not.

Definition at line 365 of file ezworkflowtype.php.

## ◆ loadAndRegisterAllTypes()

static eZWorkflowType::loadAndRegisterAllTypes | ( |  | ) |
| static

Definition at line 153 of file ezworkflowtype.php.

References allowedTypes(), and loadAndRegisterType().

Referenced by fetchRegisteredTypes().

## ◆ loadAndRegisterType()

static eZWorkflowType::loadAndRegisterType | ( |  | $typeString | ) |
| static

Definition at line 179 of file ezworkflowtype.php.

References eZExtension\baseDirectory(), and eZDebug\writeError().

Referenced by createType(), and loadAndRegisterAllTypes().

## ◆ needCleanup()

eZWorkflowType::needCleanup | ( |  | ) |

Reimplemented in eZPaymentGatewayType.

Definition at line 319 of file ezworkflowtype.php.

## ◆ registerType()

static eZWorkflowType::registerType | ( |  | $group,
|  |  | $type,
|  |  | $class_name
| ) |  |
| static

Definition at line 162 of file ezworkflowtype.php.

References eZDebug\writeError().

Referenced by eZWorkflowEventType\registerEventType(), and eZWorkflowGroupType\registerGroupType().

## ◆ setActivationDate()

eZWorkflowType::setActivationDate | ( |  | $date | ) |

Definition at line 309 of file ezworkflowtype.php.

Referenced by eZMultiplexerType\execute(), and eZWaitUntilDateType\execute().

## ◆ setAttribute()

eZWorkflowType::setAttribute | ( |  | $attr,
|  |  | $value
| ) |  |

Definition at line 262 of file ezworkflowtype.php.

## ◆ setInformation()

eZWorkflowType::setInformation | ( |  | $inf | ) |

Definition at line 314 of file ezworkflowtype.php.

Referenced by eZApproveType\execute(), and eZWaitUntilDateType\execute().

## ◆ setTriggerTypes()

eZWorkflowType::setTriggerTypes | ( |  | $allowedTypes | ) |

Set trigger types.

Parameters

  allowed | trigger types format : array( <module> => array( <function> => array( <event> ) ) ) if all is allowed, array( '*' => true )

Definition at line 276 of file ezworkflowtype.php.

Referenced by eZApproveType\__construct(), eZFinishUserRegisterType\__construct(), eZSimpleShippingType\__construct(), and eZWaitUntilDateType\__construct().

## ◆ statusName()

static eZWorkflowType::statusName | ( |  | $status | ) |
| static

Definition at line 73 of file ezworkflowtype.php.

References statusNameMap().

Referenced by eZWorkflowProcess\run().

## ◆ statusNameMap()

static eZWorkflowType::statusNameMap | ( |  | ) |
| static

Get status name map.

Returns
  array Status name map

Definition at line 390 of file ezworkflowtype.php.

References ezpI18n\tr().

Referenced by statusName().

## ◆ storeDefinedEventData()

eZWorkflowType::storeDefinedEventData | ( |  | $event | ) |

Reimplemented in eZWaitUntilDateType.

Definition at line 353 of file ezworkflowtype.php.

## ◆ storeEventData()

eZWorkflowType::storeEventData | ( |  | $event,
|  |  | $version
| ) |  |

Reimplemented in eZWaitUntilDateType.

Definition at line 350 of file ezworkflowtype.php.

## ◆ typeFunctionalAttributes()

eZWorkflowType::typeFunctionalAttributes | ( |  | ) |

Reimplemented in eZPaymentGatewayType, eZMultiplexerType, eZFinishUserRegisterType, and eZApproveType.

Definition at line 337 of file ezworkflowtype.php.

## ◆ validateHTTPInput()

eZWorkflowType::validateHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $event,
|  | & | $validation
| ) |  |

Reimplemented in eZApproveType.

Definition at line 295 of file ezworkflowtype.php.

References eZInputValidator\STATE_ACCEPTED.

## ◆ workflowEventContent()

eZWorkflowType::workflowEventContent | ( |  | $event | ) |

Reimplemented in eZWaitUntilDateType.

Definition at line 346 of file ezworkflowtype.php.

## Member Data Documentation

## ◆ $ActivationDate

eZWorkflowType::$ActivationDate

Definition at line 408 of file ezworkflowtype.php.

Referenced by __construct().

## ◆ $Attributes

eZWorkflowType::$Attributes

Definition at line 19 of file ezworkflowtype.php.

## ◆ $Group

eZWorkflowType::$Group

Definition at line 403 of file ezworkflowtype.php.

Referenced by __construct().

## ◆ $GroupName

eZWorkflowType::$GroupName

Definition at line 406 of file ezworkflowtype.php.

Referenced by __construct().

## ◆ $Information

eZWorkflowType::$Information

Definition at line 409 of file ezworkflowtype.php.

Referenced by __construct().

## ◆ $Name

eZWorkflowType::$Name

Definition at line 407 of file ezworkflowtype.php.

Referenced by __construct().

## ◆ $TriggerTypes

eZWorkflowType::$TriggerTypes = array( '*' => true )

Definition at line 410 of file ezworkflowtype.php.

Referenced by attribute().

## ◆ $Type

eZWorkflowType::$Type

Definition at line 404 of file ezworkflowtype.php.

Referenced by __construct().

## ◆ $TypeString

eZWorkflowType::$TypeString

Definition at line 405 of file ezworkflowtype.php.

Referenced by __construct().

## ◆ STATUS_ACCEPTED

const eZWorkflowType::STATUS_ACCEPTED = 1

Definition at line 21 of file ezworkflowtype.php.

Referenced by eZApproveType\checkApproveCollaboration(), eZApproveType\execute(), eZMultiplexerType\execute(), eZSimpleShippingType\execute(), eZWaitUntilDateType\execute(), and eZWorkflowProcess\run().

## ◆ STATUS_DEFERRED_TO_CRON

const eZWorkflowType::STATUS_DEFERRED_TO_CRON = 3

Definition at line 23 of file ezworkflowtype.php.

Referenced by eZWorkflowProcess\run().

## ◆ STATUS_DEFERRED_TO_CRON_REPEAT

const eZWorkflowType::STATUS_DEFERRED_TO_CRON_REPEAT = 4

Definition at line 24 of file ezworkflowtype.php.

Referenced by eZApproveType\checkApproveCollaboration(), eZApproveType\execute(), eZMultiplexerType\execute(), eZWaitUntilDateType\execute(), and eZWorkflowProcess\run().

## ◆ STATUS_FETCH_TEMPLATE

const eZWorkflowType::STATUS_FETCH_TEMPLATE = 7

Definition at line 27 of file ezworkflowtype.php.

Referenced by eZWorkflowProcess\run().

## ◆ STATUS_FETCH_TEMPLATE_REPEAT

const eZWorkflowType::STATUS_FETCH_TEMPLATE_REPEAT = 8

Definition at line 28 of file ezworkflowtype.php.

Referenced by eZMultiplexerType\execute(), eZPaymentGatewayType\execute(), and eZWorkflowProcess\run().

## ◆ STATUS_NONE

const eZWorkflowType::STATUS_NONE = 0

Definition at line 20 of file ezworkflowtype.php.

Referenced by execute(), and eZWorkflowProcess\run().

## ◆ STATUS_REDIRECT

const eZWorkflowType::STATUS_REDIRECT = 10

Definition at line 29 of file ezworkflowtype.php.

Referenced by eZWorkflowProcess\run().

## ◆ STATUS_REDIRECT_REPEAT

const eZWorkflowType::STATUS_REDIRECT_REPEAT = 11

Definition at line 31 of file ezworkflowtype.php.

Referenced by eZMultiplexerType\execute(), and eZWorkflowProcess\run().

## ◆ STATUS_REJECTED

const eZWorkflowType::STATUS_REJECTED = 2

Definition at line 22 of file ezworkflowtype.php.

Referenced by eZMultiplexerType\execute(), eZPaymentGatewayType\execute(), and eZWorkflowProcess\run().

## ◆ STATUS_RUN_SUB_EVENT

const eZWorkflowType::STATUS_RUN_SUB_EVENT = 5

Definition at line 25 of file ezworkflowtype.php.

Referenced by eZWorkflowProcess\run().

## ◆ STATUS_WORKFLOW_CANCELLED

const eZWorkflowType::STATUS_WORKFLOW_CANCELLED = 6

Definition at line 26 of file ezworkflowtype.php.

Referenced by eZApproveType\checkApproveCollaboration(), eZApproveType\execute(), eZMultiplexerType\execute(), eZWaitUntilDateType\execute(), and eZWorkflowProcess\run().

## ◆ STATUS_WORKFLOW_DONE

const eZWorkflowType::STATUS_WORKFLOW_DONE = 9

Definition at line 30 of file ezworkflowtype.php.

Referenced by eZWorkflowProcess\run().

## ◆ STATUS_WORKFLOW_RESET

const eZWorkflowType::STATUS_WORKFLOW_RESET = 12

Definition at line 32 of file ezworkflowtype.php.

Referenced by eZWorkflowProcess\run().

The documentation for this class was generated from the following file:

- ezworkflowtype.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.